Subject: RE: Review requested: draft-huitema-v6ops-teredo-02.txt

From: "Bound, Jim" <[email-masked]>
Date: Mon, 21 Jun 2004 13:24:13 -0400

If we accept this we need to move on all mechanisms not just Teredo.  I
support moving forward on all of them.  PS is still unclear to me and I
thought we were going to suggest Experimental RFC?

Thanks
/jim 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Pekka Savola
> Sent: Friday, June 18, 2004 5:18 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Review requested: draft-huitema-v6ops-teredo-02.txt
> 
> (co-chair hat on)
> 
> The WG rough consensus, measured in May, was for going 
> forward with Teredo.
> 
> A revised version of the specification,
> draft-huitema-v6ops-teredo-02.txt, was recently submitted.  
> There has been little review of it, and it is important to 
> move forward from here.
> 
> It is (still, unfortunately) open whether such specifications 
> should be adopted as v6ops items (or at some other WG, 
> or...), so as we can't really hold a WGLC on a document which 
> is not yet a WG document, we'll have to improvise...
> 
> Please review draft-huitema-v6ops-teredo-02.txt by two weeks, 
> 2nd Juldy (just like you would review a document going for 
> WGLC) send the feedback to the list.
> 
> The current understanding of the category is Proposed 
> Standard, but there has been some debate of this as well.
> 
> You are also encouraged to review:
> http://www.ietf.org/ietf/IPR/microsoft-ipr-draft-huitema-v6ops
> -teredo.txt
> to see if this is a problem for you.
> 
> Thanks!
> 
> (co-chair hat off)
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> 
> 
> 
>

---

From: Pekka Savola <[email-masked]>
Date: Mon, 21 Jun 2004 21:37:50 +0300 (EEST)

> thought we were going to suggest Experimental RFC?

("If we accept this" -- accept what?  There has already been consensus
for Teredo, so I'm not sure what acceptance you're referring to.)

This is really a more generic topic, so changing the subject.

The intent all along has been to move on (or work on) the mechanisms
with clearly required mainstream scenarios, based on the analysis,
etc. -- you know the drill. In other words, there has always been
resistance to just moving forward with everything that has been
proposed or might be proposed.

Now, at IETF59 there was consensus for policy that the authors of
those proposed mechanisms, even if there was no consensus or clear
need for them, *could* publish them as Experimental or Informational
through RFC editor if they so wished (including a very strong note
that it is not an IETF activity, etc.).  This only applied to the
*implemented* protocols, as far as they have been implemented. I.e., a
way to document an implemented protocol for interoperability.

The question how to move forward with the required mechanisms, for
which there has been consensus, (currently, this list includes Teredo
and so-called BGP-tunnel), is separate from that.  That work could be
done as invididual submissions through ADs, through a new
WG-to-be-formed, or through v6ops.  The category could be PS or maybe
experimental.  These issues have not become clear yet, unfortunately.